# AIS_KindOfInteractive.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS_KindOfInteractive { AIS_KOI_None, AIS_KOI_Datum, AIS_KOI_Shape, AIS_KOI_Object, AIS_KOI_Relation }
| Declares the kinds of dimensions needed in the display of Interactive Objects. . More...

## Enumeration Type Documentation

enum AIS_KindOfInteractive

Enumeration values:

  AIS_KOI_None |
  AIS_KOI_Datum |
  AIS_KOI_Shape |
  AIS_KOI_Object |
  AIS_KOI_Relation |